Subject: bug#17056: dfa.c patch for systems with no locale support

From: Paolo Bonzini <[email-masked]>
Date: Tue, 01 Apr 2014 10:17:56 +0200

Il 23/03/2014 22:16, Paul Eggert ha scritto:
> Aharon Robbins wrote:
>
>> See the original report below
>
> I downloaded the DJGPP sources.  LC_ALL is defined unless one compiles
> as a freestanding environment, in which case neither LC_ALL nor
> setlocale are declared.  So my guess is that your correspondent is using
> a freestanding environment somehow, and the patch that I suggested
> should work.  It's better to avoid #ifdefs inside functions so I
> installed this into the grep master (see attached) and am marking this
> as done; we can always resurrect it if my guess is wrong.
>

I disagree with this patch.  In grep, the right place to fix this should 
be gnulib.  Unless we get a report about this bug for grep, the patch 
should be installed only in gawk.

Paolo